IPSW-MACHO-DUMP(1)

NAME
ipsw-macho-dump - Dump MachO data at given virtual address

SYNOPSIS
ipsw macho dump [flags]

DESCRIPTION
Dump MachO data at given virtual address

OPTIONS
-v, --addr[=false]
    Output as addresses/uint64s

-a, --arch=""
    Which architecture to use for fat/universal MachO

-b, --bytes[=false]
    Output as bytes

-c, --count=0
    The number of total items to display

-e, --entry=""
    Dump from fileset entry (requires --section)

-h, --help[=false]
    help for dump

-o, --output=""
    Output to a file

-x, --section=""
    Dump a specific segment/section (i.e. TEXT.text)

-g, --segment=""
    Dump a specific segment (i.e. __TEXT)

-s, --size=0
    Size of data in bytes

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-macho(1)

HISTORY
25-May-2025 Auto generated by spf13/cobra